
local UpdateDropDowns
function VisualThemes:ThemeBlizzardFrames()

	self:Theme(QuestLogFrame, 0)
	self:Theme(PVPTeamDetails, 0)
	self:Theme(MailFrame, 1)
	self:Theme(OpenMailFrame, 0)
	self:Theme(ItemRefTooltip, 0) --doesn't hide properly if the same link is clicked again
	

	self:Theme(WorldMapFrame, 0)

	for i=1, STATICPOPUP_NUMDIALOGS do
		self:Theme(_G["StaticPopup"..i], 0)
	end

	self:Theme(ReputationDetailFrame, 0)

	self:Theme(ChatFrameEditBox, 0)

	self:Theme(CharacterFrame, 1)
	self:Theme(RaidInfoFrame, 0)


	self:Theme(TradeFrame, 0)

	self:Theme(MerchantFrame, 0)
	self:Theme(GossipFrame, 0)

	self:Theme(TaxiFrame, 0)


	self:Theme(QuestFrame, 0)
	self:Theme(Minimap, 0) --doesn't work on the first minimize?
	self:Theme(ArenaFrame, 0)
	self:Theme(ArenaRegistrarFrame, 0)
	self:Theme(GuildRegistrarFrame, 0)
	self:Theme(PetitionFrame, 0)
	self:Theme(TabardFrame, 0)
	self:Theme(QuestTimerFrame, 0)

	self:Theme(LootFrame, 0)
	self:Theme(LFGParentFrame, 1)

	self:Theme(GameMenuFrame, 0)
	
	for i=1, NUM_GROUP_LOOT_FRAMES do
		self:Theme(_G["GroupLootFrame"..i], 0) --fixed?
	end

	--for i=1, NUM_CONTAINER_FRAMES do
	--	self:Theme(_G["ContainerFrame"..i], 0)
	--end

	self:Theme(StackSplitFrame, 0)
	self:Theme(ColorPickerFrame, 0)
	self:Theme(OpacityFrame, 0)
	self:Theme(BattlefieldFrame, 0)
	self:Theme(HelpFrame, 0)
	self:Theme(KnowledgeBaseFrame, 0)

	self:Theme(WorldStateScoreFrame, 0)
	self:Theme(TutorialFrame, 0)
	self:Theme(ScriptErrors, 0)

	self:Theme(UIOptionsFrame, 0) --BasicOptions frame doesn't seem to scale properly, so can't include children

	self:Theme(OptionsFrame, 0)

	self:Theme(SoundOptionsFrame, 0)
	
	UpdateDropDowns = UpdateDropDowns or function()
		for i = 1, UIDROPDOWNMENU_MAXLEVELS do
			local frame = _G["DropDownList"..i]
			if not self:IsThemed(frame) then
				self:Theme(frame, 0)
			end
		end
	end
	UpdateDropDowns()
	self:SecureHook("UIDropDownMenu_CreateFrames", UpdateDropDowns)
end