local L = AceLibrary("AceLocale-2.2"):new("VisualThemes")

L:RegisterTranslations("enUS", function() return {
	--options
	["Theme Options"] = true,
	["Configure Theme options."] = true,
	["VisualThemes Configuration"] = true,

	--frame incompatibilities
	["%q cannot be themed, because it's not a frame."] = true, --<frame>
	["%q cannot be themed, because: %q."] = true, --<frame><reason>
	["%q cannot be themed, because %s: %q."] = true,--<frame><theme><reason>
	["%q cannot be themed, because it's already themed."] = true, --<frame>
	["%q cannot be themed, because it's a protected frame."] = true,--<frame>
	["%q cannot be themed, because it's not a supported type."] = true,--<frame>

	--reasons
	["causes tainting issues, thus it won't allow macro changes in combat"] = true,
	["causes tainting issues, thus it open in combat"] = true,
	["causes tainting issues that won't let item usage from bags in combat"] = true,

	--tooltips
	["Visual Themes - %s"] = true, --<revision>
	["|cffffff00Left-Click|r to change settings by the GUI."] = true,
	["|cffffff00Right-Click|r to change settings by the dropdown."] = true,

	--ThemeClass errors
	["Theme name must be a string"] = true,
	["Theme with name %q already exists"] = true, --<theme>


	["<Not Initialized>"] = true,

	["%q doesn't implement method %q"] = true, --<theme><method>
} end)